% Custom commands \usepackage[utf8]{inputenc}

\usepackage{colortbl}

\graphicspath{ {./images/} }

% Put shorthand terms here
\newcommand{\imu}[0]{{\emph{IMU}} }
\newcommand{\isqrc}[0]{$\mathrm{I^2 C}$ }
\newcommand{\total}{TOTAL }

\newcommand{\smalltable}{0.5\textwidth}
\newcommand{\medtable}{0.75\textwidth}
\newcommand{\largetable}{0.9\textwidth}
\newcommand{\fulltable}{\textwidth}

% For right aligned X columns
\newcolumntype{R}{>{\raggedleft\arraybackslash}X}

% For table rules and coloring
\newcommand{\midr}[0]{
    \arrayrulecolor{AU Secondary Orange}
    \midrule[0.5pt]
    \arrayrulecolor{black}
}

\newcommand{\topr}[0]{
    \arrayrulecolor{AU Secondary Blue}
    \toprule[1pt]\midrule[0.5pt]
    \arrayrulecolor{black}
}

\newcommand{\botr}[0]{
    \arrayrulecolor{AU Secondary Blue}
    \midrule[0.5pt]\bottomrule[1pt]
    \arrayrulecolor{black}
}

\definecolor{tableband}{RGB}{237, 245, 255}


% When you want a simple table to list stuff
\newcommand{\basictable}[4][\textwidth]{
    \centering
    \rowcolors{2}{tableband}{white}
    \begin{tabularx}{#1}{#2}
        \topr
        \rowcolor{white} #3  \midr
        #4 
        \botr
    \end{tabularx}
}



\newcommand{\white}[1]{\large\textcolor{white}{#1}}

% proper imperial units and commands
\let\DeclareUSUnit\DeclareSIUnit \let\US\SI 

\DeclareUSUnit\in{in}
\DeclareUSUnit\ft{ft}
\DeclareUSUnit\lb{lb}

% Unit shorthands
\newcommand{\inches}[1]{\US{#1}{\in}}
\newcommand{\feet}[1]{\US{#1}{\ft}}
\newcommand{\lbs}[1]{\US{#1}{\lb}}
\newcommand{\ftlbs}[1]{\US{#1}{\ft\lb}}
\newcommand{\sqrft}[1]{\US{#1}{\ft\squared}}



% List of Equations (DON'T TOUCH)
\newcommand{\listequationsname}{List of Equations}
\newlistof{myequations}{equ}{\listequationsname}
\newcommand{\listofequations}[1]{%
    \addcontentsline{equ}{myequations}{\protect\numberline{\theequation}#1}
\par}

\xpretocmd{\listofmyequations}{\addcontentsline{toc}{section}{\listequationsname}}{}{}